using FrameworkEngine.Signal;
using UnityEngine;


namespace GameEngine
{
	public class KeyboardInput : MonoBehaviour
	{
		[SerializeField] private KeyCode m_KeyCode = default(KeyCode);
		[SerializeField] private SignalPipeCommand m_Signal = default(SignalPipeCommand);




		private void FixedUpdate()
		{
			if (Input.GetKeyDown(m_KeyCode))
			{
				m_Signal.Send();
			}
		}
	}
}
